using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Collections;

/// <summary>
/// Summary description for Caso
/// </summary>
public class Caso
{
    /* Atributos Persistentes */
    private int idCaso;
    public int IdCaso
    {
        get { return idCaso; }
        set { idCaso = value; }
    }
        
    private string nombre;
    public string Nombre
    {
        get { return nombre; }
        set { nombre = value; }
    }
    
    private string descripcion;
    public string Descripcion
    {
        get { return descripcion; }
        set { descripcion = value; }
    }
    
    private string categoria;
    public string Categoria
    {
        get { return categoria; }
        set { categoria = value; }
    }

    /* Objetos */
    private Sintoma sintoma;
    public Sintoma Sintoma
    {
        get { return sintoma; }
        set { sintoma = value; }
    }

    private ArrayList pruebas; // Objetos de tipo Prueba
    public ArrayList Pruebas
    {
        get { return pruebas; }
        set { pruebas = value; }
    }
    
    private Diagnostico diagnostico;
    public Diagnostico Diagnostico
    {
        get { return diagnostico; }
        set { diagnostico = value; }
    }
    
    private Tratamiento tratamiento;
    public Tratamiento Tratamiento
    {
        get { return tratamiento; }
        set { tratamiento = value; }
    }
    
    private static dsCasosTableAdapters.casosTableAdapter taCasos = new dsCasosTableAdapters.casosTableAdapter();

    // CONSTRUCTORES
	public Caso()
	{
		this.idCaso = 0;
		this.nombre = "";
		this.descripcion = "";
		this.categoria = "Ninguna";
						
		this.sintoma = new Sintoma();
        this.pruebas = new ArrayList();
        this.diagnostico = new Diagnostico();
		this.tratamiento = new Tratamiento();
    }

    public Caso(string nom, string desc, string cat)
    {
	    this.idCaso = Caso.getNextId();
		this.nombre = nom;
		this.descripcion = desc;
		this.categoria = cat;
			
		this.sintoma = new Sintoma();
		this.pruebas = new ArrayList();
		this.diagnostico = new Diagnostico();
		this.tratamiento = new Tratamiento();
	}

    /* METODOS */


    /* METODOS PARA EL DATASET */
    public static int getNextId()
    {
        int id = 1;
        if (taCasos.NextId() == null)
            id = 0;
        else
            id = (int)taCasos.NextId();
        return id + 1;
    }

    public static DataSet getCasos()
    {
        dsCasos ds = new dsCasos();
        taCasos.Fill(ds.casos);
        return ds;
    }

    public static DataSet getCaso(int idCaso)
    {
        dsCasos ds = new dsCasos();
        taCasos.FillById(ds.casos, idCaso);
        return ds;
    }

    public static void insertarCaso(string nombre, string descripcion, string categoria)
    {
        int idCaso = Caso.getNextId();
        taCasos.Insert(idCaso, nombre, descripcion, categoria);
    }

    public static void modificarCaso(int idCaso, string nombre, string descripcion, string categoria)
    {
        taCasos.Update(idCaso, nombre, descripcion, categoria, idCaso);
    }

    public static void eliminarCaso(int idCaso)
    {
        taCasos.Delete(idCaso);
    }

    /* METODOS PARA EL DATASET DE OBJETOS */
    public static DataSet getSintoma(int idCaso)
    {
        return Sintoma.getSintomaByIdCaso(idCaso);
    }

    public static DataSet getPruebas(int idCaso)
    {
        return Prueba.getPruebaByIdCaso(idCaso);
    }

    public static DataSet getDiagnostico(int idCaso)
    {
        return Diagnostico.getDiagnosticoByIdCaso(idCaso);
    }

    public static DataSet getTratamiento(int idCaso)
    {
        return Tratamiento.getTratamientoByIdCaso(idCaso);
    }

}
