using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

/// <summary>
/// Summary description for Diagnostico
/// </summary>
public class Diagnostico
{
    /* Atributos Persistentes */
    private int idDiagnostico;
    private string nombre;
    private string descripcion;
    private int idCaso;

    /* Objetos */
    private static dsDiagnosticosTableAdapters.diagnosticosTableAdapter taDiagnosticos = new dsDiagnosticosTableAdapters.diagnosticosTableAdapter();
    
	public Diagnostico()
	{
		this.idDiagnostico = 0;
		this.nombre = "";
		this.descripcion = "";
		this.idCaso = 0;
	}

    public Diagnostico(string nom, string desc, int idc)
    {
        this.idDiagnostico = Diagnostico.getNextId();
        this.nombre = nom;
        this.descripcion = desc;
        this.idCaso = idc;
    }

    /* METODOS */


    /* METODOS PARA EL DATASET */
    public static int getNextId()
    {
        int id = 1;
        if (taDiagnosticos.NextId() == null)
            id = 0;
        else
            id = (int)taDiagnosticos.NextId();
        return id + 1;
    }

    public static DataSet getDiagnosticos()
    {
        dsDiagnosticos ds = new dsDiagnosticos();
        taDiagnosticos.Fill(ds.diagnosticos);
        return ds;
    }

    public static DataSet getDiagnostico(int idDiagnostico)
    {
        dsDiagnosticos ds = new dsDiagnosticos();
        taDiagnosticos.FillById(ds.diagnosticos, idDiagnostico);
        return ds;
    }

    public static DataSet getDiagnosticoByIdCaso(int idCaso)
    {
        dsDiagnosticos ds = new dsDiagnosticos();
        taDiagnosticos.FillByIdCaso(ds.diagnosticos, idCaso);
        return ds;
    }

    public static DataSet getDiagnosticosCorrectosByIdCaso(int idCaso)
    {
        dsDiagnosticos ds = new dsDiagnosticos();
        taDiagnosticos.FillCorrectosByIdCaso(ds.diagnosticos, idCaso);
        return ds;
    }

    public static void insertarDiagnostico(string nombre, string descripcion, int correcto, int idCaso)
    {
        int idDiagnostico = Diagnostico.getNextId();
        taDiagnosticos.Insert(idDiagnostico, nombre, descripcion, correcto, idCaso);
    }

    public static void modificarDiagnostico(int idDiagnostico, string nombre, string descripcion, int correcto, int idCaso)
    {
        taDiagnosticos.Update(idDiagnostico, nombre, descripcion, correcto, idCaso, idDiagnostico);
    }

    public static void eliminarDiagnostico(int idDiagnostico)
    {
        taDiagnosticos.Delete(idDiagnostico);
    }

}
