using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

/// <summary>
/// Summary description for Prueba
/// </summary>
public class Prueba
{
    /* Atributos Persistentes */
    private int idPrueba;
    private string nombre;
    private string descripcion;
    private int idCaso;

    /* Objetos*/
    private Resultado resultado;
    private static dsPruebasTableAdapters.pruebasTableAdapter taPruebas = new dsPruebasTableAdapters.pruebasTableAdapter();

	public Prueba()
	{
        this.idPrueba = 0;
		this.nombre = "";
		this.descripcion = "";
		this.idCaso = 0;
	    
        this.resultado = new Resultado();
	}

    public Prueba(string nom, string desc, int idc)
    {
        this.idPrueba = Prueba.getNextId();
        this.nombre = nom;
        this.descripcion = desc;
        this.idCaso = idc;

        this.resultado = new Resultado();
    }

    /* METODOS */


    /* METODOS PARA EL DATASET */
    public static int getNextId()
    {
        int id = 1;
        if (taPruebas.NextId() == null)
            id = 0;
        else
            id = (int)taPruebas.NextId();
        return id + 1;
    }

    public static DataSet getPruebas()
    {
        dsPruebas ds = new dsPruebas();
        taPruebas.Fill(ds.pruebas);
        return ds;
    }

    public static DataSet getPrueba(int idPrueba)
    {
        dsPruebas ds = new dsPruebas();
        taPruebas.FillById(ds.pruebas, idPrueba);
        return ds;
    }

    public static DataSet getPruebaByIdCaso(int idCaso)
    {
        dsPruebas ds = new dsPruebas();
        taPruebas.FillByIdCaso(ds.pruebas, idCaso);
        return ds;
    }

    public static DataSet getPruebasCorrectas()
    {
        dsPruebas ds = new dsPruebas();
        taPruebas.FillCorrectas(ds.pruebas);
        return ds;
    }

    public static DataSet getPruebasCorrectasByIdCaso(int idCaso)
    {
        dsPruebas ds = new dsPruebas();
        taPruebas.FillCorrectasByIdCaso(ds.pruebas, idCaso);
        return ds;
    }

    public static void insertarPrueba(string nombre, string descripcion, int correcta, int idCaso)
    {
        int idPrueba = Prueba.getNextId(); 
        taPruebas.Insert(idPrueba, nombre, descripcion, correcta, idCaso);
    }

    public static void modificarPrueba(int idPrueba, string nombre, string descripcion, int correcta, int idCaso)
    {
        taPruebas.Update(idPrueba, nombre, descripcion, correcta, idCaso, idPrueba);
    }

    public static void eliminarPrueba(int idPrueba)
    {
        taPruebas.Delete(idPrueba);
    }

    /* METODOS PARA EL DATASET DE OBJETOS */
    public static DataSet getResultado(int idPrueba)
    {
        return Resultado.getResultadoByIdPrueba(idPrueba);
    }
}
