using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

/// <summary>
/// Summary description for Resultado
/// </summary>
public class Resultado
{
    /* Atributos Persistentes */
    private int idResultado;
    private string nombre;
    private string descripcion;
    private int idPrueba;

    /* Objetos */
    private static dsResultadosTableAdapters.resultadosTableAdapter taResultados = new dsResultadosTableAdapters.resultadosTableAdapter();
    private static dsResultadosCasoTableAdapters.resultadosCasoTableAdapter taRC = new dsResultadosCasoTableAdapters.resultadosCasoTableAdapter();

	public Resultado()
	{
		this.idResultado = 0;
		this.nombre = "";
		this.descripcion = "";
		this.idPrueba = 0;
	}

    public Resultado(string nom, string desc, int idp)
    {
        this.idResultado = Resultado.getNextId();
        this.nombre = nom;
        this.descripcion = desc;
        this.idPrueba = idp;
    }

    /* METODOS */


    /* METODOS PARA EL DATASET */
    public static int getNextId()
    {
        int id = 1;
        if (taResultados.NextId() == null)
            id = 0;
        else
            id = (int)taResultados.NextId();
        return id + 1;
    }

    public static DataSet getResultados()
    {
        dsResultados ds = new dsResultados();
        taResultados.Fill(ds.resultados);
        return ds;
    }

    public static DataSet getResultado(int idResultado)
    {
        dsResultados ds = new dsResultados();
        taResultados.FillById(ds.resultados, idResultado);
        return ds;
    }

    public static DataSet getResultadoByIdPrueba(int idPrueba)
    {
        dsResultados ds = new dsResultados();
        taResultados.FillByIdPrueba(ds.resultados, idPrueba);
        return ds;
    }

    public static DataSet getResultadoByIdCaso(int idCaso)
    {
        dsResultadosCaso ds = new dsResultadosCaso();
        taRC.FillByIdCaso(ds.resultadosCaso, idCaso);
        return ds;
    }

    public static void insertarResultado(string nombre, string descripcion, int idPrueba)
    {
        int idResultado = Resultado.getNextId();
        taResultados.Insert(idResultado, nombre, descripcion, idPrueba);
    }

    public static void modificarResultado(int idResultado, string nombre, string descripcion, int idPrueba)
    {
        taResultados.Update(idResultado, nombre, descripcion, idPrueba, idResultado);
    }

    public static void eliminarResultado(int idResultado)
    {
        taResultados.Delete(idResultado);
    }

}
