using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

/// <summary>
/// Summary description for Sintoma
/// </summary>
public class Sintoma
{
    /* Atributos Persistentes */
    private int idSintoma;
    private string nombre;
    private string descripcion;
    private int idCaso;

    /* Objetos */
    private static dsSintomasTableAdapters.sintomasTableAdapter taSintomas = new dsSintomasTableAdapters.sintomasTableAdapter();

	public Sintoma()
	{
		this.idSintoma = 0;
		this.nombre = "";
		this.descripcion = "";
		this.idCaso = 0;
	}

    public Sintoma(string nom, string desc, int idc)
    {
        this.idSintoma = Sintoma.getNextId();
        this.nombre = nom;
        this.descripcion = desc;
        this.idCaso = idc;

    }

    /* METODOS */


    /* METODOS PARA EL DATASET */
    public static int getNextId()
    {
        int id = 1;
        if (taSintomas.NextId() == null)
            id = 0;
        else
            id = (int)taSintomas.NextId();
        return id + 1;
    }

    public static DataSet getSintomas()
    {
        dsSintomas ds = new dsSintomas();
        taSintomas.Fill(ds.sintomas);
        return ds;
    }

    public static DataSet getSintoma(int idSintoma)
    {
        dsSintomas ds = new dsSintomas();
        taSintomas.FillById(ds.sintomas, idSintoma);
        return ds;
    }

    public static DataSet getSintomaByIdCaso(int idCaso)
    {
        dsSintomas ds = new dsSintomas();
        taSintomas.FillByIdCaso(ds.sintomas, idCaso);
        return ds;
    }

    public static void insertarSintoma(string nombre, string descripcion, int idCaso)
    {
        int idSintoma = Sintoma.getNextId();
        taSintomas.Insert(idSintoma, nombre, descripcion, idCaso);
    }

    public static void modificarSintoma(int idSintoma, string nombre, string descripcion, int idCaso)
    {
        taSintomas.Update(idSintoma, nombre, descripcion, idCaso, idSintoma);
    }

    public static void eliminarSintoma(int idSintoma)
    {
        taSintomas.Delete(idSintoma);
    }

}
