using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

/// <summary>
/// Summary description for Tratamiento
/// </summary>
public class Tratamiento
{
    /* Atributos Persistentes */
    private int idTratamiento;
    private string nombre;
    private string descripcion;
    private int idCaso;

    /* Objetos */
    private static dsTratamientosTableAdapters.tratamientosTableAdapter taTratamientos = new dsTratamientosTableAdapters.tratamientosTableAdapter();

	public Tratamiento()
	{
		this.idTratamiento = 0;
		this.nombre = "";
		this.descripcion = "";
		this.idCaso = 0;
	}

    public Tratamiento(string nom, string desc, int idc)
    {
        this.idTratamiento = Tratamiento.getNextId();
        this.nombre = nom;
        this.descripcion = desc;
        this.idCaso = idc;
    }

    /* METODOS */


    /* METODOS PARA EL DATASET */
    public static int getNextId()
    {
        int id = 1;
        if (taTratamientos.NextId() == null)
            id = 0;
        else
            id = (int)taTratamientos.NextId();
        return id + 1;
    }

    public static DataSet getTratamientos()
    {
        dsTratamientos ds = new dsTratamientos();
        taTratamientos.Fill(ds.tratamientos);
        return ds;
    }

    public static DataSet getTratamiento(int idTratamiento)
    {
        dsTratamientos ds = new dsTratamientos();
        taTratamientos.FillById(ds.tratamientos, idTratamiento);
        return ds;
    }

    public static DataSet getTratamientoByIdCaso(int idCaso)
    {
        dsTratamientos ds = new dsTratamientos();
        taTratamientos.FillByIdCaso(ds.tratamientos, idCaso);
        return ds;
    }

    public static DataSet getTratamientosCorrectosByIdCaso(int idCaso)
    {
        dsTratamientos ds = new dsTratamientos();
        taTratamientos.FillCorrectosByIdCaso(ds.tratamientos, idCaso);
        return ds;
    }

    public static void insertarTratamiento(string nombre, string descripcion, int correcto, int idCaso)
    {
        int idTratamiento = Tratamiento.getNextId();
        taTratamientos.Insert(idTratamiento, nombre, descripcion, correcto, idCaso);
    }

    public static void modificarTratamiento(int idTratamiento, string nombre, string descripcion, int correcto, int idCaso)
    {
        taTratamientos.Update(idTratamiento, nombre, descripcion, correcto, idCaso, idTratamiento);
    }

    public static void eliminarTratamiento(int idTratamiento)
    {
        taTratamientos.Delete(idTratamiento);
    }

}
