using System;
using System.Data;
using System.Configuration;
using System.Security.Cryptography;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

/// <summary>
/// Summary description for Usuario
/// </summary>
public class Usuario
{
    /* Atributos Persistentes */
    private string nombre;
    private string apellido;
    private string direccion;
    private string ciudad;
    private string telefono;
    private string email;
    private string nickname;
    private string pass;
    private int tipo;
    private string sid; // Session Id

    /* Objetos */
    private Resumen resumen;
    private static dsUsuariosTableAdapters.aspnet_UsersTableAdapter taAspnet_Users = new dsUsuariosTableAdapters.aspnet_UsersTableAdapter();
    private static dsUsuariosTableAdapters.aspnet_MembershipTableAdapter taAspnet_Membership = new dsUsuariosTableAdapters.aspnet_MembershipTableAdapter();

    /* METODOS GET Y SET PARA LOS ATRIBUTOS */

    /* CONSTRUCTORES */
    public Usuario()
	{
		this.nombre = "";
		this.apellido = "";
		this.direccion = "";
		this.ciudad = "";
		this.telefono = "";
		this.email = "";
		this.nickname = "";
		this.pass = "";
		this.tipo = 0;
		this.sid = "";
			
	    this.resumen = new Resumen(); 
	}

    public Usuario(string nom, string ape, string dir, string ciu, string tel,
                                                string mail, string nick, string pw, int tip)
    {
        this.nombre = nom;
        this.apellido = ape;
        this.direccion = dir;
        this.ciudad = ciu;
        this.telefono = tel;
        this.email = mail;
        this.nickname = nick;
        this.pass = pw;
        this.tipo = tip;
        this.sid = nick;

        this.resumen = new Resumen();
    }

    /* METODOS */
    public bool esAdministrador()
    {
        if (this.tipo == 1)
            return true;
        else
            return false;
    }

    /* METODOS PARA EL DATASET */
    // Retorna todos los usuarios de la base de datos
    public static DataSet getUsuarios()
    {
        dsUsuarios ds = new dsUsuarios();
        taAspnet_Users.Fill(ds.aspnet_Users);
        return ds;
    }

    public static DataSet getDetallesUsuarios()
    {
        dsUsuarios ds = new dsUsuarios();
        taAspnet_Membership.Fill(ds.aspnet_Membership);
        return ds;
    }

    public static DataSet getDetallesUsuarioByUserId(Guid UserId)
    {
        dsUsuarios ds = new dsUsuarios();
        taAspnet_Membership.FillByUserId(ds.aspnet_Membership, UserId);
        return ds;
    }

    public static void modificarUsuario(Guid UserId, string Email)
    {
        taAspnet_Membership.Update(UserId, Email, UserId);
    }

    public static void eliminarUsuario(Guid UserId)
    {
        taAspnet_Membership.Delete(UserId);
    }
}
