using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

/// <summary>
/// Summary description for Seem
/// </summary>
public sealed class Seem
{
    public static string nombre = "S.E.E.M";
    public static string version = "1.0";
    public static string fecha = "14 de Junio de 2006";
    
	public Seem()
	{
		//
		// TODO: Add constructor logic here
		//
	}

    /* METODOS PARA EL OBJETO Y EL DATASET */
    // USUARIO
    public static Usuario crearUsuario(string nom, string ape, string dir, string ciu, string tel,
                                       string mail, string nick, string pw)
    {
	    Usuario usuario = new Usuario(nom, ape, dir, ciu, tel, mail, nick, pw, 0);
		return usuario;
	}

    public static Usuario crearAdministrador(string nom, string ape, string dir, string ciu, string tel,
	                                         string mail, string nick, string pw)
    {
	    Usuario admin = new Usuario(nom, ape, dir, ciu, tel, mail, nick, pw, 1);
		return admin;
	}
    
    // USUARIO DATASET
    public static DataSet getUsuarios()
    {
        return Usuario.getUsuarios();
    }

    public static DataSet getDetallesUsuarios()
    {
        return Usuario.getDetallesUsuarios();
    }

    public static DataSet getDetallesUsuarioByUserId(Guid UserId)
    {
        return Usuario.getDetallesUsuarioByUserId(UserId);
    }

    public static void modificarUsuario(Guid UserId, string Email)
    {
        Usuario.modificarUsuario(UserId, Email);
    }

    public static void eliminarUsuario(Guid UserId)
    {
        Usuario.eliminarUsuario(UserId);
    }
    
    // CASO
    public static Caso crearCaso(string nombre, string descripcion, string categoria)
    {
        Caso caso = new Caso(nombre, descripcion, categoria);
        return caso;
    }

    // CASO DATASET
    public static int getNextIdCaso()
    {
        return Caso.getNextId();
    }

    public static DataSet getCasos()
    {
        return Caso.getCasos();
    }

    public static DataSet getCaso(int idCaso)
    {
        return Caso.getCaso(idCaso);
    }

    public static void insertarCaso(string nombre, string descripcion, string categoria)
    {
        Caso.insertarCaso(nombre, descripcion, categoria);
    }

    public static void modificarCaso(int idCaso, string nombre, string descripcion, string categoria)
    {
        Caso.modificarCaso(idCaso, nombre, descripcion, categoria);
    }

    public static void eliminarCaso(int idCaso)
    {
        Caso.eliminarCaso(idCaso);
    }

    // DIAGNOSTICO

    // DIAGNOSTICO DATASET
    public static DataSet getDiagnosticos()
    {
        return Diagnostico.getDiagnosticos();
    }

    public static DataSet getDiagnostico(int idDiagnostico)
    {
        return Diagnostico.getDiagnostico(idDiagnostico);
    }

    public static DataSet getDiagnosticoByIdCaso(int idCaso)
    {
        return Diagnostico.getDiagnosticoByIdCaso(idCaso);
    }

    public static DataSet getDiagnosticosCorrectosByIdCaso(int idCaso)
    {
        return Diagnostico.getDiagnosticosCorrectosByIdCaso(idCaso);
    }

    public static void insertarDiagnostico(string nombre, string descripcion, int correcto, int idCaso)
    {
        Diagnostico.insertarDiagnostico(nombre, descripcion, correcto, idCaso);
    }

    public static void modificarDiagnostico(int idDiagnostico, string nombre, string descripcion, int correcto, int idCaso)
    {
        Diagnostico.modificarDiagnostico(idDiagnostico, nombre, descripcion, correcto, idCaso);
    }

    public static void eliminarDiagnostico(int idDiagnostico)
    {
        Diagnostico.eliminarDiagnostico(idDiagnostico);
    }

    // PRUEBA

    // PRUEBA DATASET
    public static DataSet getPruebas()
    {
        return Prueba.getPruebas();
    }

    public static DataSet getPrueba(int idPrueba)
    {
        return Prueba.getPrueba(idPrueba);
    }

    public static DataSet getPruebaByIdCaso(int idCaso)
    {
        return Prueba.getPruebaByIdCaso(idCaso);
    }

    public static DataSet getPruebasCorrectas()
    {
        return Prueba.getPruebasCorrectas();
    }

    public static DataSet getPruebasCorrectasByIdCaso(int idCaso)
    {
        return Prueba.getPruebasCorrectasByIdCaso(idCaso);
    }

    public static void insertarPrueba(string nombre, string descripcion, int correcta, int idCaso)
    {
        Prueba.insertarPrueba(nombre, descripcion, correcta, idCaso);
    }

    public static void modificarPrueba(int idPrueba, string nombre, string descripcion, int correcta, int idCaso)
    {
        Prueba.modificarPrueba(idPrueba, nombre, descripcion, correcta, idCaso);
    }

    public static void eliminarPrueba(int idPrueba)
    {
        Prueba.eliminarPrueba(idPrueba);
    }

    // RESULTADO

    // RESULTADO DATASET
    public static DataSet getResultados()
    {
        return Resultado.getResultados();
    }

    public static DataSet getResultado(int idResultado)
    {
        return Resultado.getResultado(idResultado);
    }

    public static DataSet getResultadoByIdPrueba(int idPrueba)
    {
        return Resultado.getResultadoByIdPrueba(idPrueba);
    }

    public static DataSet getResultadoByIdCaso(int idCaso)
    {
        return Resultado.getResultadoByIdCaso(idCaso);
    }

    public static void insertarResultado(string nombre, string descripcion, int idPrueba)
    {
        Resultado.insertarResultado(nombre, descripcion, idPrueba);
    }

    public static void modificarResultado(int idResultado, string nombre, string descripcion, int idPrueba)
    {
        Resultado.modificarResultado(idResultado, nombre, descripcion, idPrueba);
    }

    public static void eliminarResultado(int idResultado)
    {
        Resultado.eliminarResultado(idResultado);
    }

    // SINTOMA

    // SINTOMA DATASET
    public static DataSet getSintomas()
    {
        return Sintoma.getSintomas();
    }

    public static DataSet getSintoma(int idSintoma)
    {
        return Sintoma.getSintoma(idSintoma);
    }

    public static DataSet getSintomaByIdCaso(int idCaso)
    {
        return Sintoma.getSintomaByIdCaso(idCaso);
    }

    public static void insertarSintoma(string nombre, string descripcion, int idCaso)
    {
        Sintoma.insertarSintoma(nombre, descripcion, idCaso);
    }

    public static void modificarSintoma(int idSintoma, string nombre, string descripcion, int idCaso)
    {
        Sintoma.modificarSintoma(idSintoma, nombre, descripcion, idCaso);
    }

    public static void eliminarSintoma(int idSintoma)
    {
        Sintoma.eliminarSintoma(idSintoma);
    }

    // TRATAMIENTO

    // TRATAMIENTO DATASET
    public static DataSet getTratamientos()
    {
        return Tratamiento.getTratamientos();
    }

    public static DataSet getTratamiento(int idTratamiento)
    {
        return Tratamiento.getTratamiento(idTratamiento);
    }

    public static DataSet getTratamientoByIdCaso(int idCaso)
    {
        return Tratamiento.getTratamientoByIdCaso(idCaso);
    }

    public static DataSet getTratamientosCorrectosByIdCaso(int idCaso)
    {
        return Tratamiento.getTratamientosCorrectosByIdCaso(idCaso);
    }

    public static void insertarTratamiento(string nombre, string descripcion, int correcto, int idCaso)
    {
        Tratamiento.insertarTratamiento(nombre, descripcion, correcto, idCaso);
    }

    public static void modificarTratamiento(int idTratamiento, string nombre, string descripcion, int correcto, int idCaso)
    {
        Tratamiento.modificarTratamiento(idTratamiento, nombre, descripcion, correcto, idCaso);
    }

    public static void eliminarTratamiento(int idTratamiento)
    {
        Tratamiento.eliminarTratamiento(idTratamiento);
    }

    // RESUMEN

}
